Month: March 2015

It’s Confirmed That SKY3DS Can Support N3DS/3DS V9.5.0-23!

Tested with our sky3ds blue version card, glad to tell you that  it still works with the newest 3ds/new 3DS  firmware 9.5.0-23. And some rumers said the console maybe blocked when we use sky3ds card to play 3DS roms, but we tested that it worked great on 9.5.0-23. Here is the official news:

 

* It’s confirmed! SKY3DS can support the newest update – V9.5.0-23U/E/J. (03/03/2015)

     Note:The exploit used for Smea’s regionthree is blocked by this update.

Proof:

sky3ds suppirt 9.5.0-23

sky3ds suppirt 9.5.0-23(4)

sky3ds suppirt 9.5.0-23 (3)

 

 

Advertisements